List uploaded media
List uploaded media. Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:read`.
Authorization
apiKeyAuth Query Parameters
projectId?string
Only media attached to this owned project
templateId?string
Only media attached to this owned template
library?string
Only files kept in the workspace library (persistent)
Value in
- "true"
- "false"
kind?string
Filter paged media by type
Value in
- "image"
- "video"
- "audio"
- "lottie"
search?string
Case-insensitive filename search in paged media
Length
length <= 160cursor?string
Opaque cursor from the previous page
limit?integer
Page size
Range
1 <= value <= 100Default
50Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/media"{ "success": true, "data": [ { "id": "media_01J", "name": "product-shot.png", "kind": "image", "mimeType": "image/png", "sizeBytes": 184320, "source": "https://api.jsoncut.com/api/v2/media/media_01J/content?token=short-lived", "reference": "jsoncut-media://media_01J", "retention": "project", "createdAt": "2026-08-25T09:10:00.000Z", "width": 1600, "height": 900 } ]}